%!TEX root=../thesis.tex
%!TEX file=config/packages.tex

%  This package provides a cross-engine interface, \ShellEscape, to running system commands, traditionally made available using \write18. It also makes \write18 access system commands (via Lua os.exec) on new LuaTeX, where \write18 does not have this feature by default.
% This package is part of the latex-tools bundle in the LaTeX required distribution.
\usepackage{shellesc}

% % This package will provide a complete implementation of unicode maths for XeLaTeX and LuaLaTeX.
% % Unicode maths is currently supported by the following fonts:
% %   Cambria Math (Microsoft),
% %   Minion Math (Johannes Küster, typoma GmbH)
% %   Latin Modern Math (Bogusław Jackowski, Janusz M. Nowacki)
% %   TeX Gyre Pagella Math (Bogusław Jackowski, Janusz M. Nowacki)
% %   Asana-Math fonts (Apostolos Syropolous),
% %   Neo Euler (Khaled Hosny),
% %   STIX (STI Pub), and
% %   XITS Math (Khaled Hosny).
% % As well as running XeTeX or LuaTeX, this package requires recent versions of the fontspec, expl3, xpackages, filehook, ucharcat and lualatex-math packages. 
% \usepackage{unicode-math}

% The package patches a few commands of the LaTeX2ε kernel and the amsmath and mathtools packages to be more compatible with the LuaTeX engine. It is only meaningful for LuaLaTeX documents containing mathematical formulas, and does not exhibit any new functionality. The fixes are mostly moved from the unicode-math package to this package since they are not directly related to Unicode mathematics typesetting. 
\usepackage{lualatex-math}

% % Glossaries styles
% %\usepackage{iswipadsgloss}
% \usepackage{iswipagloss}

% % Wrap figures nicely
% \usepackage{wrapfig}

%  The package provides hooks to perform actions on every page, or on the current page. Specifically, actions are performed after the page is composed, but before it is shipped, so they can be used to prepare the output page in tasks like putting watermarks in the background, or in setting the next page layout, etc. 
\usepackage{everypage}

% A geometric sans serif blackboard bold font, for use in mathematics; METAFONT sources are provided, as well as macros for use with LaTeX. The Sauter font package has METAFONT parameter source files for building the fonts at more sizes than you could reasonably imagine.
% See the blackboard sampler for a feel for the font's appearance. 
\usepackage{bbold}

% % Provides macros to typeset bra-ket notation, as well as set specifiers, with a single (“|”) or a double (“||” or (“\|”) vertical bar specifier in between two bracketed parts. Each macro comes in a fixed-size version and an expanding version.
% % If the package finds itself operating under e-tex, it uses the extended primitive \middle for more reliable results
% \usepackage{braket}

% Algorithmicx provides a flexible, yet easy to use, way for inserting good looking pseudocode or source code in your papers. It has built in support for Pseudocode, Pascal and C, and offers powerful means to create definitions for any programming language. The user can adapt a Pseudocode style to his native language. 
\usepackage{algorithm}
\usepackage{algpseudocode}

% The package provides a means to add a textual, light grey watermark on every page or on the first page of a document. Typical usage may consist in writing words such as DRAFT or CONFIDENTIAL across document pages.
% The package performs a similar function to that of draftcopy, but its implementation is output device independent, and made very simple by relying on everypage.
\ifdraft{% we are in draft mode
  \ifDocumentreview% we are also in review mode
  \else
    \usepackage{draftwatermark}
    % \SetWatermarkColor{PrimaryColorVeryLight}
    \SetWatermarkLightness{0.85}
  \fi
}% END \ifdraft{true}
{%
}% END \ifdraft{false}

% Epigraphs are the pithy quotations often found at the start (or end) of a chapter. Both single epigraphs and lists of epigraphs are catered for. Various aspects are easily configurable. 
\usepackage{epigraph}

% A package built on the standard LaTeX graphics package to perform all the different sorts of rotation one might like, including complete figures and tables with their captions.
% If you want continuous text (i.e., more than one page) set in landscape mode, use the lscape package instead. The rotating packages only deals in rotated boxes (or floats, which are themselves boxes), and boxes always stay on one page.
% If you need to use the facilities of the float in the same document, load rotating.sty via rotfloat, which smooths the path between the rotating and float packages.
% The package is now part of the latex-graphics bundle, which is one of the collections in the LaTeX ‘required’ set of packages. 
\usepackage{rotating}

% The LaTeX kernel (LaTeX2ε 2015/10/01 onward) builds in support for LuaTeX functionality, also available as ltluatex.tex for users of plain TeX and those with older LaTeX kernel implementations. This support is based on ideas taken from the original luatexbase package, but there are interface differences.
% This ‘stub’ package provides a compatibility layer to allow existing packages to upgrade smoothly to the new support structure. 
\usepackage{luatexbase}

% The package provides a LaTeX interface to the micro-typographic extensions that were introduced by pdfTeX and have since also propagated to XeTeX and LuaTeX: most prominently, character protrusion and font expansion, furthermore the adjustment of interword spacing and additional kerning, as well as hyphenatable letterspacing (tracking) and the possibility to disable all or selected ligatures.
% These features may be applied to customisable sets of fonts, and all micro-typographic aspects of the fonts can be configured in a straight-forward and flexible way. Settings for various fonts are provided.
% Note that character protrusion requires pdfTeX, LuaTeX, or XeTeX. Font expansion works with pdfTeX or LuaTeX. The package will by default enable protrusion and expansion if they can safely be assumed to work. Disabling ligatures requires pdfTeX or LuaTeX, while the adjustment of interword spacing and of kerning only works with pdfTeX. Letterspacing is available with pdfTeX or LuaTeX.
% The alternative package ‘letterspace’, which also works with plain TeX, provides the user commands for letterspacing only, omitting support for all other extensions. 
\usepackage{microtype}

% Pgfplotstable displays numerical tables rounded to desired precision in various display formats (for example scientific format, fixed point format or integer), using TeX’s mathematical facilities for pretty printing. Furthermore, it provides methods for table postprocessing. 
\usepackage{pgfplotstable}

% This package can disable all hyphenation or enable hyphenation of non-alphabetics or monospaced fonts. The package can also enable hyphenation within ‘words’ that contain non-alphabetic characters (e.g., that include underscores), and hyphenation of text typeset in monospaced (e.g., cmtt) fonts. 
\usepackage{hyphenat}

% Additional glossaries packages
\usepackage{glossaries-extra}
\usepackage{glossary-longbooktabs}
\usepackage{glossaries-extra-stylemods}
